Subject: Re: [PATCH] Documentation: rename gitlink macro to linkgit

From: Yannick Gingras <[email-masked]>
Date: Fri, 04 Jan 2008 01:11:41 -0500

Junio C Hamano <[email-masked]> writes:

>> But the test suite can only catch obvious rendering failures so any
>> help in eyeballing the output will be appreciated.
>
> You could go fancy like that, but I suspect that an automated
> test to compare the text dump (e.g. "links -dump doc.html")
> generated by before and after version, perhaps with minimum
> massaging, would go a long enough way.  At least that would have
> caught the "gitlink" breakage, wouldn't it?

Yeah it would have caught it.  I'll hack something like that before
the 9.0 release.

-- 
Yannick Gingras